githubEdit

Database API

Query and modify the database.

Get Statistics

get

Get tags from the database, with a value symbolizing their prevalence.

Query parameters
minweightintegerOptional

Add this parameter if you want to only get tags whose weight is at least the given minimum.
Default is 1 if not specified, to get all tags.

hide_excluded_namespacesstringOptional

Set to true to exclude namespaces configured in server settings from the results. Default behavior returns all tags.

Responses
chevron-right
200

Success response

application/json
namespacestring Β· nullableOptional

Namespace of the tag

textstringOptional

The tag itself

weightintegerOptional

Weight of the tag in the database

get
/database/stats
200

Success response

πŸ”‘ Get a backup JSON

get

Scans the entire database and returns a backup in JSON form. This backup can be reimported manually through the Backup and Restore feature.

Authorizations
AuthorizationstringRequired

Use Authorization: Bearer <base64(api_key)>

Responses
chevron-right
200

Success response

application/json
get
/database/backup
200

Success response

πŸ”‘ Clear All "New" flags

delete

Clears the "New!" flag on all archives.

Authorizations
AuthorizationstringRequired

Use Authorization: Bearer <base64(api_key)>

Responses
chevron-right
200

Success response

application/json
operationstringRequired

Name of operation

errorstringOptional

Error message if any

successMessagestringOptional

Success message if any

successinteger Β· enumRequired

Returns 1 if operation was successful, else 0

Possible values:
delete
/database/isnew
200

Success response

πŸ”‘ Clean the Database

post

Cleans the Database, hiding then removing entries for files that are no longer on the filesystem. Entries that are no longer on the filesystem are only unlinked at first so they don't appear in the UI -- A subsequent run of this cleanup will delete unlinked entries.

Authorizations
AuthorizationstringRequired

Use Authorization: Bearer <base64(api_key)>

Responses
chevron-right
200

Success response

application/json
operationstringOptional

Name of the operation

successinteger Β· enumOptional

Returns 1 if operation successful, else 0.

Possible values:
deletedintegerOptional

Amount of unlinked DB entries that were deleted

unlinkedintegerOptional

Amount of live DB entries that got unlinked - Run Clean again to delete them.

post
/database/clean
200

Success response

πŸ”‘ Drop the Database

post

Delete the entire database, including user preferences. This is a rather dangerous endpoint, invoking it might lock you out of the server as a client!

Authorizations
AuthorizationstringRequired

Use Authorization: Bearer <base64(api_key)>

Responses
chevron-right
200

Success response

application/json
operationstringRequired

Name of operation

errorstringOptional

Error message if any

successMessagestringOptional

Success message if any

successinteger Β· enumRequired

Returns 1 if operation was successful, else 0

Possible values:
post
/database/drop
200

Success response

Last updated